﻿using System;
using System.Windows.Shapes;
namespace System.Windows.Controls
{
	public class HelpProvider
	{
		public static readonly DependencyProperty HelpKeyword = 
			DependencyProperty.RegisterAttached("HelpKeyword", typeof(string), typeof(HelpProvider), new PropertyMetadata(null));
		public static void SetHelpKeyword(UIElement element, string keyword)
		{
			element.SetValue(HelpKeyword, keyword);
		}

		public static string GetHelpKeyword(UIElement element)
		{
			return (string)element.GetValue(HelpKeyword);
		}
	}
}
