﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Browser;

namespace SilverlightApplication
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		private void LayoutRoot_KeyUp(object sender, KeyEventArgs e)
		{
			//check for the specific key. For now use F2 as the Help Shortcut
			if (e.Key==Key.F2) { 
					var uielement = FocusManager.GetFocusedElement() as UIElement;
					if (uielement!=null)
					{
						
						var keyword = HelpProvider.GetHelpKeyword(uielement);
						var host = HtmlPage.Document.DocumentUri.Host;
						var port = HtmlPage.Document.DocumentUri.Port;
						var url = string.Format("http://{0}:{1}/help/{2}.html", host,port,keyword);
						HtmlPage.Window.Navigate(new Uri(url),"_blank");
					}
			} // else ignore the keystroke
		}


	}
}
